ALAS-2017-848


Amazon Linux AMI Security Advisory: ALAS-2017-848
Advisory Release Date: 2017-06-22 22:58 Pacific
Severity: Important
References: CVE-2017-7502 

Issue Overview:

Null pointer dereference when handling empty SSLv2 messages:
A null pointer dereference flaw was found in the way NSS handled empty SSLv2 messages. An attacker could use this flaw to crash a server application compiled against the NSS library. (CVE-2017-7502 )


Affected Packages:

nss


Issue Correction:
Run yum update nss to update your system.

New Packages:
i686:
    nss-debuginfo-3.28.4-1.2.79.amzn1.i686
    nss-sysinit-3.28.4-1.2.79.amzn1.i686
    nss-devel-3.28.4-1.2.79.amzn1.i686
    nss-pkcs11-devel-3.28.4-1.2.79.amzn1.i686
    nss-tools-3.28.4-1.2.79.amzn1.i686
    nss-3.28.4-1.2.79.amzn1.i686

src:
    nss-3.28.4-1.2.79.amzn1.src

x86_64:
    nss-debuginfo-3.28.4-1.2.79.amzn1.x86_64
    nss-3.28.4-1.2.79.amzn1.x86_64
    nss-pkcs11-devel-3.28.4-1.2.79.amzn1.x86_64
    nss-sysinit-3.28.4-1.2.79.amzn1.x86_64
    nss-tools-3.28.4-1.2.79.amzn1.x86_64
    nss-devel-3.28.4-1.2.79.amzn1.x86_64